.header, .footer {   
   background-image: linear-gradient(#063785, #1483f6); 
   display: flex;
   color: rgb(250,250,250);   
   /* max-width: 1050px;    */
}

.footer {   
   background-image: linear-gradient(#2d8df3, #042355);    
   margin-top: 10px;
}

.header_1{
    display: block;
    justify-content: space-between;   
    margin-left: 20px;
    margin-top: 5px;
    width: 150px;
    text-align: center;
    font-size: 22px;
}

.header_2{
    text-align: center;
    font-size: 22px;
    margin-left: 10px;
    margin-right: 10px;
    /* width: 800px;  */
}

.pic_vk{
    position: absolute;
    left: 650px;
    top: 30px;
}

.zagolovok{
    margin-bottom: 25px;
}

.pic_line{
    margin: 5px 20px;
}
#pic_line{
    height: 220px;
}
body{
    background-color: rgb(212, 211, 211);
}


.content{
    display: flex;   
}

.oglav{   
    background-image: linear-gradient(#b3caee, #eaeef3); 
    margin-top: 15px;
    padding: 10px;    
    background-color: rgb(253, 251, 251);       
    border: 2px solid #6ca5fa;
    border-radius: 5px;
    min-width: 160px;
}

.oglav_tema{
  font-size: 20px;
  color: blue;
  margin: 25px 5px 5px 5px;     
}

.oglav_paragraf{
  font-size: 14px;  
  margin: 5px 5px 5px 5px;   
  
}

.oglav_paragraf_active{
  font-size: 16px;
  color: lab(49.91% 74.08 58.23);
  font-weight: bold;
  margin: 10px 5px 5px 5px;     
}

.section1, .section2{
    margin-top: 15px;
    margin-left: 5px;
    padding: 20px;    
    background-color: rgb(253, 251, 251);     
    border: 2px solid #6ca5fa;
    border-radius: 5px;   
}

.zagolovok1{ 
    font-size: 34px;
    color: blue;
    text-align: center;
    margin-bottom: 30px;    
}

.zagolovok2{    
    font-size: 30px;
    color: blue;    
    margin-bottom: 20px;    
}

.zagolovok3{    
    font-size: 22px;
    color: blue;    
    margin-bottom: 10px;    
}

.zagolovok4{    
    font-size: 18px;
    color: blue;    
    /* margin-bottom: 10px;     */
}

.zagolovokAI{    
    font-size: 22px;
    color: rgb(239, 36, 36);    
    /* margin-bottom: 10px;     */
}


button{
    background-color: rgb(196, 195, 239);
    background-size: 50px 20px;
    margin: 16px;
}

input{
    margin: 15px;
}

img{
  object-fit: none;   
  /* width: 100%; */
  /* height: 100%; */
  /* object-fit: contain;   */
}


.primer {
    font-size: 24px;
    color: red;
}

li {
    margin-bottom: 5px;
}

.block2, .block3, .block4 {
    /* display: none;     */
}






.block {
  opacity: 1;
  max-height: 200px; /* Укажите примерную или большую высоту блока */
  overflow: hidden;
  transition: all 0.4s ease; /* Плавность 0.4 секунды */
}

.block.is-closed {
  opacity: 0;
  max-height: 0;
  padding-top: 0;
  padding-bottom: 0;
  margin-top: 0;
  margin-bottom: 0;
}







































@media (width <= 450px) {
.header {   
   flex-wrap: wrap;    
}

.footer {      
   margin-top: 10px;
}

.header_1{
    display: block;
    justify-content: space-between;   
    margin-left: 20px;
    margin-top: 5px;
    /* width: 150px; */
    text-align: center;
    font-size: 20px;    
    /* display: none; */
}

.header_2{
    text-align: center;
    font-size: 22px;
    /* width: 800px;  */
}

.pic_vk{
    position: absolute;
    left: 370px;
    top: 50px;
    /* visibility: inherit; */
    visibility: hidden;
}
.zagolovok{
    margin-bottom: 5px;
}

body{background-color: rgb(212, 211, 211);}

.content{flex-direction: column-reverse;}

.oglav{   
    margin-top: 15px;
    padding: 10px;    
    background-color: rgb(253, 251, 251);       
    border: 2px solid #6ca5fa;
    border-radius: 5px;
    min-width: 160px;
    /* visibility: hidden; */
}

.oglav_tema{
  font-size: 20px;
  color: blue;
  margin: 25px 5px 5px 5px;     
}

.oglav_paragraf{
  font-size: 14px;  
  margin: 5px 5px 5px 5px;   
  
}

.oglav_paragraf_active{
  font-size: 16px;
  color: lab(49.91% 74.08 58.23);
  font-weight: bold;
  margin: 10px 5px 5px 5px;     
}

.section1, .section2{
    margin-top: 15px;
    margin-left: 5px;
    padding: 20px;    
    background-color: rgb(253, 251, 251);     
    border: 2px solid #6ca5fa;
    border-radius: 5px;   
}

.zagolovok1{ 
    font-size: 28px;
    color: blue;
    text-align: left;
    margin-bottom: 10px;    
}

.zagolovok2{    
    font-size: 24px;
    color: blue;    
    margin-bottom: 10px;    
}

.zagolovok3{    
    font-size: 18px;
    color: blue;    
    margin-bottom: 10px;    
}

.zagolovok4{    
    font-size: 16px;
    color: blue;    
    /* margin-bottom: 10px;     */
}

.zagolovokAI{    
    font-size: 18px;   
    /* margin-bottom: 10px;     */
}

.button{
    background-color: rgb(125, 123, 248);
    background-size: 50px 20px;
    margin: 16px;
}

img{
  /* object-fit: none;    */
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.logo_logo { display: none;}







}




@media (height >= 720px) {
    body {
        /* Стили body при высоте больше 720px */
    }
} 
